#pragma once
#include "unit.h"



class Planet;

class Player : public Unit
{

  public:

    float                 Angle;

    LD::PointF            Acceleration;

    float                 MovedDistance;
    LD::Point             LastMovementPos;
    bool                  DroppingRope;
    Planet*               pLastTouchedPlanet;
    Planet*               pStartPlanet;

    int                   CurrentRopeIndex;
    int                   CurrentPieceIndex;
    unsigned int          RopeColor;

    int                   FireDelay;
    bool                  ShipLoopActive;



    Player();


    virtual void Display( IDirect3DDevice8* pDevice );
    virtual void UpdateFixedTimeStep( Level& theLevel );
    virtual void Update( Level& theLevel, float ElapsedTime );

    LD::Point             GunPos();
    LD::Point             TailPos( int DX, int DY );

};
